Lintian::Processable::Installable::Changelog(3)

NAME
Lintian::Processable::Installable::Changelog - access to collected changelog data

SYNOPSIS
    use Lintian::Processable;

DESCRIPTION
Lintian::Processable::Installable::Changelog provides an interface to changelog data.

INSTANCE METHODS

changelog_item
changelog
    For binary:

    Returns the changelog of the binary package as a Parse::DebianChangelog object, or an empty object if the changelog doesn't exist. The changelog-file collection script must have been run to create the changelog file, which this method expects to find in changelog.

AUTHOR
Originally written by Felix Lechner <felix.lechner@lease-up.com> for Lintian.

SEE ALSO
lintian(1)